Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.common
Interface ECPRendererTester

All Known Implementing Classes:
  AttributeSelectControlTester, AttributeValueControlTester, BooleanControlRendererTester, ControlRootEClassControl2SWTRendererTester, DateTimeControlRendererTester, DIContainerSWTRendererTester, DIControlSWTRendererTester, DICustomControlSWTRendererTester, DIViewSWTRendererTester, DMRSelectorControlTester, DomainModelReferenceControlSWTRendererTester, ECPStaticRendererTester, EnumComboViewerRendererTester, FeaturePathDMRReferenceTester, FeaturePathDMRReferenceTester, FeaturePathDMRSubMappedEClassReferenceTester, KeyValueControlTester, LeafConditionControlRendererTester, LeafRendererTester, MappedEClassTester, NumberControlRendererTester, RootEClassControlECPTester, SimpleControlRendererTester, SingleReferenceRendererTester, StackItemControlRendererTester, TableColumnsDMRTableControlTester, TableDetailViewControlSWTRendererTester, TemplateColorHexControlTester, TemplateImagePathControlTester, TestControlSWTRendererECPTester, TextControlRendererTester, ViewModelSelectControlTester, XMLDateControlRendererTester

    public interface ECPRendererTester

EPCRendererTester is used by the framework to find the best fitting renderer for a specific `ViewModelContext`.

Author:
  Eugen Neufeld

Field Summary
`static int` | `NOT_APPLICABLE` Return this whenever the renderer should not be used for the tested `ViewModelContext`.

Method Summary
`int` | `isApplicable(VElement vElement, ViewModelContext viewModelContext)` Check whether the provided `VElement` and `ViewModelContext` are fitting for the provided renderer.

Field Detail

### NOT_APPLICABLE

    static final int NOT_APPLICABLE

  Return this whenever the renderer should not be used for the tested `ViewModelContext`.

  See Also:
    Constant Field Values

Method Detail

### isApplicable

    int isApplicable(VElement vElement,
                     ViewModelContext viewModelContext)

  Check whether the provided `VElement` and `ViewModelContext` are fitting for the provided renderer.

  Parameters:
    `vElement` - the `VElement` to check
    `viewModelContext` - the `ViewModelContext` to check
  Returns:
    `NOT_APPLICABLE` if the corresponding renderer should not be used, a positive integer value otherwise. The renderer with the highest priority will be taken.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.